<?

 /*************************************************************************************
 * Filename: modules/pluginInfo.php
 *
 * This file is part of the Blog JAS plugin.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The Blog JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/blog/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_blog_pluginInfo extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginInfo")
    $this->extend("pluginInfo");

   $this->data->title="Blog plugin information";

   $this->data->addField("templateitem", "localfile", "all", false, 1, 255, "item.html", "Item template");
   $this->data->addField("templatelist", "localfile", "all", false, 1, 255, "list.html", "List template");
   $this->data->addField("templatelatestposts", "localfile", "all", false, 1, 255, "latestposts.html", "Latest posts template");
   $this->data->addField("templatelatestcomments", "localfile", "all", false, 1, 255, "latestcomments.html", "Latest comments template");
   $this->data->addField("templatecloud", "localfile", "all", false, 1, 255, "cloud.html", "Tag cloud template");
   $this->data->addField("templatepagebrowser", "localfile", "all", false, 1, 255, "pagebrowser.html", "Page browser template");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templateitem", $_path["project"]["plugins"]."blog/templates/");
   $this->data->setFileExtensions("templateitem", "html", "htm");

   $this->data->setFileDir("templatelist", $_path["project"]["plugins"]."blog/templates/");
   $this->data->setFileExtensions("templatelist", "html", "htm");

   $this->data->setFileDir("templatelatestposts", $_path["project"]["plugins"]."blog/templates/");
   $this->data->setFileExtensions("templatelatestposts", "html", "htm");

   $this->data->setFileDir("templatelatestcomments", $_path["project"]["plugins"]."blog/templates/");
   $this->data->setFileExtensions("templatelatestcomments", "html", "htm");

   $this->data->setFileDir("templatecloud", $_path["project"]["plugins"]."blog/templates/");
   $this->data->setFileExtensions("templatecloud", "html", "htm");

   $this->data->setFileDir("templatepagebrowser", $_path["project"]["plugins"]."blog/templates/");
   $this->data->setFileExtensions("templatepagebrowser", "html", "htm");

   return true;
  }
 }
?>
